## Auto Delegation Modal

A compact and updated Auto Delegation modal.
Demo
Open Auto Delegation
Required Imports

Example

Component Properties

Name | Description | default
--- | --- | ---
--auto-delegation-font-size | CSS custom property that controls the font size of the component | 15px

Input and Output Properties

Type | Name | Description | Data type | Required | Default
--- | --- | --- | --- | --- | ---
Input | data | Contains the data required for auto delegation modal | IAutoDelegationModalData | true | -
Input | expanded | Details section will be shown | Boolean | false | true
Input | countdown | Accepts a number as input for the countdown timer. | Number | false | 45
Input | menu | Pass menu and it will display on when you click on menu icon | LibMenuItem[] | true | -
Output | event | Emits an event when the reject is clicked or when the countdown is completed. | Function | true | -